{
   "buffs":
   [
	  {
         "id" : "mikoF_tooltip_SKA_1_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_1_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_1_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_1_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_1_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_1_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_1_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_1_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_1_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_2_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_2_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_2_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_2_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_2_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_2_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_2_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_2_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_3_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_3_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_3_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_3_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_3_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_3_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_3_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_3_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_4_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_4_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_4_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_4_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_4_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_4_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_4_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_4_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_5_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_5_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_5_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_5_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_5_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_5_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKA_1_5_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKA_1_5_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_1_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_1_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_1_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_1_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_1_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_1_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_1_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_1_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_2_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_2_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_2_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_2_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_2_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_2_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_2_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_2_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_3_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_3_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_3_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_3_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_3_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_3_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_3_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_3_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_4_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_4_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_4_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_4_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_4_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_4_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_4_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_4_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_5_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_5_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_5_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_5_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_5_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_5_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKB_1_5_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKB_1_5_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_1_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_1_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_1_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_1_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_1_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_1_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_1_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_1_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_2_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_2_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_2_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_2_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_2_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_2_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_2_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_2_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_3_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_3_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_3_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_3_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_3_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_3_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_3_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_3_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_4_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_4_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_4_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_4_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_4_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_4_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_4_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_4_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_5_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_5_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_5_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_5_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_5_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_5_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKC_1_5_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKC_1_5_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_1_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_1_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_1_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_1_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_1_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_1_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_1_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_1_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_2_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_2_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_2_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_2_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_2_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_2_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_2_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_2_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_3_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_3_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_3_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_3_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_3_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_3_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_3_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_3_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_4_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_4_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_4_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_4_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_4_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_4_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_4_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_4_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_5_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_5_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_5_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_5_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_5_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_5_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKD_1_5_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKD_1_5_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_1_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_1_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_1_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_1_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_1_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_1_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_1_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_1_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_2_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_2_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_2_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_2_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_2_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_2_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_2_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_2_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_3_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_3_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_3_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_3_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_3_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_3_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_3_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_3_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_4_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_4_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_4_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_4_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_4_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_4_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_4_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_4_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_5_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_5_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_5_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_5_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_5_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_5_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKE_1_5_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKE_1_5_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_1_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_1_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_1_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_1_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_1_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_1_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_1_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_1_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_2_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_2_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_2_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_2_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_2_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_2_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_2_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_2_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_3_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_3_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_3_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_3_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_3_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_3_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_3_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_3_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_4_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_4_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_4_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_4_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_4_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_4_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_4_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_4_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_5_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_5_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_5_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_5_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_5_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_5_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKF_1_5_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKF_1_5_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_1_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_1_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_1_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_1_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_1_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_1_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_1_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_1_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_2_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_2_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_2_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_2_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_2_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_2_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_2_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_2_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_3_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_3_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_3_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_3_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_3_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_3_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_3_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_3_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_4_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_4_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_4_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_4_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_4_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_4_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_4_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_4_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_5_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_5_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_5_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_5_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_5_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_5_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "mikoF_tooltip_SKG_1_5_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "mikoF_SKG_1_5_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      }
   ]
}